UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute Class Reference

LBMSDMFieldsAttribute define the attributes used by LBMSDMFields. Currently the only option is to set the number of preallocated fields on a field set (message). In the future, other options will be added. More...

Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute:

## Public Member Functions
| LBMSDMFieldsAttribute ()
| Constructor for a field set attribute.
virtual void | set_field_prealloc (int num_fields)
| Set the number of preallocated fields. More...
virtual int | get_field_prealloc ()
| Get the number of preallocated fields. More...
virtual new LBMSDMFieldsAttribute | Clone ()
| Get a copy of this object. More...
virtual void | enable_name_tree ()
| Enable field name validation This also controls name validation when adding fields etc. When validation is on, duplicate field names are detected. The C API also implements a name tree for optimized searches by name, but this is reserved for future development in Java and .NET.
virtual void | disable_name_tree ()
| Enable field name validation This also controls name validation when adding fields etc. When validation is on, duplicate field names are detected. The C API also implements a name tree for optimized searches by name, but this is reserved for future development in Java and .NET.
virtual bool | name_tree_enabled ()
| Find out if field name validation is enabled. More...
virtual void | set_debug_level (int level)
| Set the debug level for processing this SDM message. Currently all debugs go to standard out. More...
virtual void | log (System.String s)
| Log an event. If debug level is set greater than 0, output to stderr. More...

## Public Attributes
const int | DEBUG_BASIC = 1
| Debug flag for basic debug output.
const int | DEBUG_VERBOSE_PARSING = 2
| Debug flag for verbose message parsing output.

## Detailed Description

LBMSDMFieldsAttribute define the attributes used by LBMSDMFields. Currently the only option is to set the number of preallocated fields on a field set (message). In the future, other options will be added.

## Member Function Documentation

virtual new LBMSDMFieldsAttribute com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute.Clone | ( |  | ) |
| virtual

Get a copy of this object.

Returns
  A new object with a copy

Referenced by com.latencybusters.lbm.sdm.LBMSDMFields.get_attr(), and com.latencybusters.lbm.sdm.LBMSDMFields.LBMSDMFields().

virtual int com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute.get_field_prealloc | ( |  | ) |
| virtual

Get the number of preallocated fields.

Returns
  s The number of fields to preallocate

virtual void com.latencybusters.lbm.sdm.LBMSDM.log | ( | System.String | s | ) |
| virtual inherited

Log an event. If debug level is set greater than 0, output to stderr.

Parameters

  s | String containing the event to log

virtual bool com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute.name_tree_enabled | ( |  | ) |
| virtual

Find out if field name validation is enabled.

Returns
  true if enabled

virtual void com.latencybusters.lbm.sdm.LBMSDM.set_debug_level | ( | int | level | ) |
| virtual inherited

Set the debug level for processing this SDM message. Currently all debugs go to standard out.

Parameters

  level | Debug level to set

virtual void com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute.set_field_prealloc | ( | int | num_fields | ) |
| virtual

Set the number of preallocated fields.

Parameters

  num_fields | The number of fields to preallocate

The documentation for this class was generated from the following file:

- LBMSDMFieldsAttribute.cs